#version 130
//#extension GL_EXT_gpu_shader3 : enable

out vec3 modelview_position;
out vec3 normal;

void main(void)
{
    gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;	
    
    modelview_position = vec3(gl_ModelViewMatrix * gl_Vertex);
    normal = gl_NormalMatrix * gl_Normal;
  
    gl_Position = ftransform();
}
